import { ISocketUser } from "../types";

export class SocketUsers {
  private _users: ISocketUser[] = [];

  constructor() {
    this._users = [];
  }

  getAll() {
    return this._users;
  }

  isExist(id: ISocketUser["id"]) {
    return this._users.some((user) => user.id === id);
  }

  add(user: ISocketUser) {
    this._users.push(user);
  }

  remove(id: ISocketUser["id"]) {
    this._users.splice(this.getIndex(id), 1);
  }

  getIndex(id: ISocketUser["id"]) {
    return this._users.findIndex((user) => user.id === id);
  }
}
